%global drupaldir %{_datadir}/drupal7

Name:    drupal7-pathauto
Version: 1.2
Release: 1%{?dist}
Summary: Automatically generates path aliases

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/pathauto
Source0: http://ftp.drupal.org/files/projects/pathauto-7.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7
Requires:  drupal7-token >= 1.0-0.1.beta5

%description
The Pathauto module automatically generates path aliases
for various kinds of content (nodes, categories, users)
without requiring the user to manually specify the path alias.

%prep

%setup -qn pathauto

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/pathauto
cp -pr * %{buildroot}%{drupaldir}/modules/pathauto

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc API.txt INSTALL.txt LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/pathauto
%exclude %{drupaldir}/modules/pathauto/*.txt

%changelog
* Mon Aug 13 2012 Peter Borsa <peter.borsa@gmail.com> - 1.2-1
- Update to upstream release 1.2

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 14 2012 Jared Smith <jsmith@fedoraproject.org> - 1.1-1
- Update to upstream release 1.1
- Upstream release notes at http://drupal.org/node/1576582

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 29 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-1
- New upstream version.

* Fri Sep 23 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.1.rc2
- Initial packaging

